import ExtensionAPI from '../../ExtensionAPI';
import { TooltipOption } from './TooltipModel';
import Model from '../../model/Model';
import { Dictionary } from 'zrender/lib/core/types';
import { ColorString, ZRColor } from '../../util/types';
interface TooltipContentOption {
    appendToBody: boolean;
}
declare class TooltipHTMLContent {
    el: HTMLDivElement;
    private _container;
    private _show;
    private _styleCoord;
    private _appendToBody;
    private _enterable;
    private _zr;
    private _hideTimeout;
    private _hideDelay;
    private _inContent;
    private _firstShow;
    constructor(container: HTMLElement, api: ExtensionAPI, opt: TooltipContentOption);
    update(): void;
    show(tooltipModel: Model<TooltipOption>, nearPointColor: ZRColor): void;
    setContent(content: string, markers: Dictionary<ColorString>, tooltipModel: Model<TooltipOption>, borderColor?: ZRColor, arrowPosition?: TooltipOption['position']): void;
    setEnterable(enterable: boolean): void;
    getSize(): number[];
    moveTo(zrX: number, zrY: number): void;
    hide(): void;
    hideLater(time?: number): void;
    isShow(): boolean;
    dispose(): void;
    getOuterSize(): {
        width: number;
        height: number;
    };
}
export default TooltipHTMLContent;
