import { DataHost, DisplayState, TooltipRenderMode, CallbackDataParams, OptionDataValue, SeriesDataType, TooltipOrderMode } from '../../util/types';
import GlobalModel from '../Global';
interface DataFormatMixin extends DataHost {
    ecModel: GlobalModel;
    mainType: string;
    subType: string;
    componentIndex: number;
    id: string;
    name: string;
    animatedValue: OptionDataValue[];
}
declare class DataFormatMixin {
    getDataParams(dataIndex: number, dataType?: SeriesDataType): CallbackDataParams;
    getFormattedLabel(dataIndex: number, status?: DisplayState, dataType?: SeriesDataType, labelDimIndex?: number, formatter?: string | ((params: object) => string), extendParams?: Partial<CallbackDataParams>): string;
    getRawValue(idx: number, dataType?: SeriesDataType): unknown;
    formatTooltip(dataIndex: number, multipleSeries?: boolean, dataType?: string, renderMode?: TooltipRenderMode, order?: TooltipOrderMode): string | {
        html: string;
        markers: {
            [markName: string]: string;
        };
    };
}
export default DataFormatMixin;
