import SeriesModel from '../../model/Series';
import List from '../../data/List';
import * as zrUtil from 'zrender/esm/core/util';
import { SeriesOption, SeriesOnSingleOptionMixin, LabelOption, OptionDataValueDate, OptionDataValueNumeric, ItemStyleOption, BoxLayoutOptionMixin, ZRColor, TooltipRenderMode } from '../../util/types';
import SingleAxis from '../../coord/single/SingleAxis';
import GlobalModel from '../../model/Global';
import Single from '../../coord/single/Single';
interface ThemeRiverSeriesLabelOption extends LabelOption {
    margin?: number;
}
export interface ThemeRiverStateOption {
    label?: ThemeRiverSeriesLabelOption;
    itemStyle?: ItemStyleOption;
}
export interface ThemeRiverSeriesOption extends SeriesOption<ThemeRiverStateOption>, ThemeRiverStateOption, SeriesOnSingleOptionMixin, BoxLayoutOptionMixin {
    type?: 'themeRiver';
    color?: ZRColor[];
    coordinateSystem?: 'singleAxis';
    boundaryGap?: (string | number)[];
    data?: [OptionDataValueDate, OptionDataValueNumeric, string][];
}
declare class ThemeRiverSeriesModel extends SeriesModel<ThemeRiverSeriesOption> {
    static readonly type = "series.themeRiver";
    readonly type = "series.themeRiver";
    static readonly dependencies: string[];
    nameMap: zrUtil.HashMap<number, string>;
    coordinateSystem: Single;
    useColorPaletteOnData: boolean;
    init(option: ThemeRiverSeriesOption): void;
    fixData(data: ThemeRiverSeriesOption['data']): [string | number | Date, OptionDataValueNumeric, string][];
    getInitialData(option: ThemeRiverSeriesOption, ecModel: GlobalModel): List;
    getLayerSeries(): {
        name: string;
        indices: number[];
    }[];
    getAxisTooltipData(dim: string | string[], value: number, baseAxis: SingleAxis): {
        dataIndices: number[];
        nestestValue: number;
    };
    formatTooltip(dataIndex: number, multipleSeries: boolean, dataType: string, renderMode: TooltipRenderMode): string;
    static defaultOption: ThemeRiverSeriesOption;
}
export default ThemeRiverSeriesModel;
