import ExtensionAPI from '../../ExtensionAPI';
import { TooltipOption } from './TooltipModel';
import { Dictionary } from 'zrender/esm/core/types';
import { ColorString, ZRColor } from '../../util/types';
import Model from '../../model/Model';
import ZRText from 'zrender/esm/graphic/Text';
declare class TooltipRichContent {
    private _zr;
    private _show;
    private _hideTimeout;
    private _enterable;
    private _inContent;
    private _hideDelay;
    el: ZRText;
    constructor(api: ExtensionAPI);
    update(): void;
    show(): void;
    setContent(content: string, markerRich: Dictionary<ColorString>, tooltipModel: Model<TooltipOption>, borderColor: ZRColor, arrowPosition: TooltipOption['position']): void;
    setEnterable(enterable?: boolean): void;
    getSize(): number[];
    moveTo(x: number, y: number): void;
    hide(): void;
    hideLater(time?: number): void;
    isShow(): boolean;
    getOuterSize(): {
        width: number;
        height: number;
    };
    dispose(): void;
}
export default TooltipRichContent;
